petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSolve

Steps the requested number of timesteps.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSolve(TS ts,Vec u)

Collective on TS Many br

### Input Parameter

| ts | - the TS context obtained from TSCreate() Many br
| u | - the solution vector (can be null if TSSetSolution() was used and TSSetExactFinalTime(ts,TS_EXACTFINALTIME_MATCHSTEP) was not used, Many brotherwise must contain the initial conditions and will contain the solution at the final requested time Many br

Many br

### Notes

The final time returned by this function may be different from the time of the internally Many brheld state accessible by TSGetSolution() and TSGetTime() because the method may have Many brstepped over the final time. Many br

### Keywords

TS, timestep, solve

### See Also

TSCreate(), TSSetSolution(), TSStep(), TSGetTime(), TSGetSolveTime()

Level:beginner
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html